#ifndef CDUTILS_K_H
#define CDUTILS_K_H

#include "cdutils_interface.h"


namespace CDUtils {


class KInterface: public Interface
{
	PIOBJECT_SUBCLASS(KInterface, Interface)
public:
	KInterface();

	EVENT1(keepNamesRequest, bool*, kn)

	void directChange(const CDType & k);
	void directChange(const CDType & k, double v);

};

}

extern CDUtils::KInterface K;

#endif // CDUTILS_K_H
